View Issue Details

IDProjectCategoryView StatusLast Update
0001227SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.4 
Target Version3.4.5Fixed in Version3.4.5 
Summary0001227: Reading of MySQL tables can sometimes include the PRIMARY index if the primary key columns aren't at the start
DescriptionReading of MySQL tables can sometimes include the PRIMARY index if the primary key columns aren't at the start of the table definition

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 842c20db

2013-05-16 10:48:20

chenson

Details Diff
0001227: Table create xml needs to exclude primary key index named PRIMARYINDEX on mysql
0001227
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlReader.java Diff File

SymmetricDS: master fb83c965

2013-05-16 13:57:32

chenson

Details Diff
0001227: Reading of MySQL tables can sometimes include the PRIMARY index if the primary key columns aren't at the start
0001227
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: master 72115ad3

2013-05-16 13:58:08

chenson

Details Diff
0001227: Reading of MySQL tables can sometimes include the PRIMARY index if the primary key columns aren't at the start
0001227
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mysql/MySqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2013-05-16 10:47 chenson New Issue
2013-05-16 10:47 chenson Status new => assigned
2013-05-16 10:47 chenson Assigned To => chenson
2013-05-16 13:55 chenson Summary Table create xml needs to exclude primary key index named PRIMARYINDEX on mysql => Reading of MySQL tables can sometimes include the PRIMARY index if the primary key columns aren't at the start
2013-05-16 13:55 chenson Description Updated View Revisions
2013-05-16 14:58 chenson Status assigned => resolved
2013-05-16 14:58 chenson Fixed in Version => 3.4.5
2013-05-16 14:58 chenson Resolution open => fixed
2013-05-29 21:11 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7219
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7220
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7221
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7222
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7223
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7224
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 72115ad3
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master fb83c965
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 842c20db